<div
  id="account-menu-trigger"
  aria-label="Menu relié au compte utilisateur"
  cdkOverlayOrigin
  #trigger="cdkOverlayOrigin"
  (click)="isMenuOpen = !isMenuOpen"
  (clickOutside)="isMenuOpen = false">
  <span
    class="fr-icon-account-circle-fill"
    aria-hidden="true"></span>
  <span
    [ngStyle]="{'transform': isMenuOpen ? 'rotate(180deg)' : 'rotate(0)'}"
    class="fr-icon-arrow-down-s-line"></span>
</div>

<div
  id="account-menu-mobile"
  *ngIf="isMenuOpen">
  <ng-container [ngTemplateOutlet]="menuTemplate"></ng-container>
</div>

<ng-template
  cdkConnectedOverlay
  [cdkConnectedOverlayOrigin]="trigger"
  [cdkConnectedOverlayOpen]="isMenuOpen">
  <ng-container [ngTemplateOutlet]="menuTemplate"></ng-container>
</ng-template>

<ng-template #menuTemplate>
  <div id="account-menu">
    <ul>
      <li>
        <a>
          <p>Connexion via</p>
          <p class="account-email">{{ userEmail }}</p>
        </a>
      </li>
      <!-- <li>
        <a routerLink="/">Mon compte</a>
      </li> -->
      <li *ngIf="canManageAllowedAccounts">
        <a routerLink="/">Comptes autorisés</a>
      </li>
      <li>
        <a (click)="onLogout()">Me déconnecter</a>
      </li>
    </ul>
  </div>
</ng-template>
